Skip to main content
PATCH
Update a ticket (title, severity, AI summary or category)

Authorizations

Authorization
string
header
required

Company secret API key.

Path Parameters

id
string<ObjectId>
required

Body

application/json
title
string
Maximum string length: 200
severity
enum<string>
Available options:
high,
medium,
low
aiSummary
string
Maximum string length: 2000
aiCategory
string
Maximum string length: 200

Response

Ticket updated

_id
string
required
title
string
required
severity
enum<string>
required
Available options:
high,
medium,
low
origin
object
required
contentVersion
number
default:1
required

Monotonic version of generated ticket content.

Required range: x >= 1
code
string
destinationId
string
destinationIds
string[]

Every destination the ticket was routed to; destinationId is the primary one.

followUp
object
score
object
aiSummary
string
aiCategory
string
caseDescription
string
historyHighlights
string[]
whatCustomerWants
string
suggestedResolution
string
language
string
churnRisk
string
criteria
string[]
historySnapshot
object
sentiment
string
generatedByAI
boolean
customerComment
object
client
object
timeline
object[]
createdAt
string<date-time>
updatedAt
string<date-time>